Bug 770764 - [abrt] authconfig-6.1.16-2.fc16: snack.py:346:run:KeyError: -1
[abrt] authconfig-6.1.16-2.fc16: snack.py:346:run:KeyError: -1
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: authconfig (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
abrt_hash:d41e4b7fc4400c8e5cbb3733e97...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-28 20:48 EST by Miguel Sousa
Modified: 2012-03-27 05:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-27 05:23:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Miguel Sousa 2011-12-28 20:48:38 EST
libreport version: 2.0.8
abrt_version:   2.0.6
cmdline:        /usr/bin/python /usr/share/authconfig/authconfig-tui.py
event_log:      2011-12-29-01:48:08> Smolt profile successfully saved
executable:     /usr/share/authconfig/authconfig-tui.py
kernel:         3.1.2-1.fc16.i686
reason:         snack.py:346:run:KeyError: -1
time:           Seg 28 Nov 2011 00:24:42 WET
uid:            0
username:       root

backtrace:
:snack.py:346:run:KeyError: -1
:
:Traceback (most recent call last):
:  File "/usr/share/authconfig/authconfig-tui.py", line 938, in <module>
:    sys.exit(module.run())
:  File "/usr/share/authconfig/authconfig-tui.py", line 531, in run
:    if not self.doUI():
:  File "/usr/share/authconfig/authconfig-tui.py", line 919, in doUI
:    if not self.getChoices():
:  File "/usr/share/authconfig/authconfig-tui.py", line 863, in getChoices
:    rc = self.getMainChoices()
:  File "/usr/share/authconfig/authconfig-tui.py", line 654, in getMainChoices
:    comp = form.run()
:  File "/usr/lib/python2.7/site-packages/snack.py", line 346, in run
:    return self.trans[which]
:KeyError: -1
:
:Local variables in innermost frame:
:what: 'widget'
:self: <snack.Form instance at 0x9acbeec>
:which: -1

smolt_data:
:
:
:Geral
:=================================
:UUID: e29f996e-7833-4c3e-85b4-e7748c5ac1fc
:SO: Fedora release 16 (Verne)
:Nível de execução por omissão: 5
:Língua: pt_PT.utf8
:Plataforma: i686
:BogoMIPS: 4419.32
:Fabricante do CPU: AuthenticAMD
:Modelo do CPU: AMD Sempron(tm) Processor 3800+
:Versão do CPU: 2
:Família do CPU: 15
:Número do modelo do CPU: 79
:Número de CPUs: 1
:Velocidade do CPU: 2200
:Memória do sistema: 875
:Swap do sistema: 1759
:Fabricante: FOXCONN
:Sistema: RS690M2MA 0A
:Dimensões: Desktop
:Kernel: 3.1.6-1.fc16.i686
:SELinux activo: 1
:Política do SELinux: targeted
:SELinux Obrigatório: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Dispositivos
:=================================
:(4332:33081:4187:3213) pci, 8139too, ETHERNET, RTL-8139/8139C/8139C+
:(4098:17292:4187:3213) pci, pata_atiixp, STORAGE, SB600 IDE
:(4098:17285:4187:3213) pci, piix4_smbus, SERIAL, SBx00 SMBus Controller
:(4098:17293:4187:3213) pci, None, PCI/ISA, SB600 PCI to LPC Bridge
:(4098:17283:4187:3212) pci, snd_hda_intel, MULTIMEDIA, SBx00 Azalia (Intel HDA)
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4098:17286:4187:3213) pci, ehci_hcd, USB, SB600 USB Controller (EHCI)
:(4098:30994:4098:30992) pci, None, PCI/PCI, RS690 PCI to PCI Bridge (Internal gfx)
:(4098:31006:4187:3213) pci, radeon, VIDEO, RS690 [Radeon X1200 Series]
:(4098:31004:4187:31004) pci, None, VIDEO, N/A
:(4130:4353:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] Address Map
:(4130:4352:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] HyperTransport Technology Configuration
:(4130:4355:0:0) pci, k8temp, HOST/PCI, K8 [Athlon64/Opteron] Miscellaneous Control
:(4130:4354:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] DRAM Controller
:(4098:17289:4187:3213) pci, ohci_hcd, USB, SB600 USB (OHCI2)
:(4098:17290:4187:3213) pci, ohci_hcd, USB, SB600 USB (OHCI3)
:(4098:30992:4098:30992) pci, None, HOST/PCI, RS690 Host Bridge
:(4098:17288:4187:3213) pci, ohci_hcd, USB, SB600 USB (OHCI1)
:(4098:17287:4187:3213) pci, ohci_hcd, USB, SB600 USB (OHCI0)
:(4098:17291:4187:3213) pci, ohci_hcd, USB, SB600 USB (OHCI4)
:(4098:17280:4187:3213) pci, ahci, STORAGE, SB600 Non-Raid-5 SATA
:
:
:Informação do sistema de ficheiros
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_pcfedora-lv_root / ext4 4096 4096 12901535 8644101 7988741 3276800 2711181 2711181
:/dev/sda1 /boot ext4 1024 1024 495844 409647 384047 128016 127771 127771
:/dev/mapper/vg_pcfedora-lv_home /home ext4 4096 4096 24980346 13140520 11871580 6348800 6309777 6309777
:
Comment 1 Tomas Mraz 2012-02-10 08:52:44 EST
I cannot reproduce the crash. Can you please describe what were you doing with authconfig, what choices you selected and on which screen did it happen?

Note You need to log in before you can comment on or make changes to this bug.